Draft Array/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft Array.svg {{{Name/jp}}}

メニュー位置
Draft -> Array
ワークベンチ
製図, 建築
デフォルトのショートカット
None
参照
None


説明

Arrayツールは選択されたオブジェクトから直交列状(3軸)、または円列を作成します。選択されているオブジェクトがない場合、いずれかを選択するように促されます。

Draft Array example.jpg

使用方法

  1. 列を作成したいオブジェクトを選択します
  2. Draft Array.png Draft Arrayボタンを押します

オプション

  • デフォルトでは列は直交列です。プロパティからモードを切り替えることができます。

プロパティ

  • DATAArray Type: 列のタイプを指定します。選択できるタイプは直交列または円列です。

直交列の場合:

  • DATAInterval X: 第一軸方向の各コピー間の間隔
  • DATAInterval Y: 第二軸方向の各コピー間の間隔
  • DATAInterval Z: 第三軸方向の各コピー間の間隔
  • DATANumber X: 第一軸方向のコピー数
  • DATANumber Y: 第二軸方向のコピー数
  • DATANumber Z: 第三軸方向のコピー数

円列の場合:

  • DATAAxis: 円列の法線方向
  • DATACenter: 円列の中心点
  • DATAAngle: コピーが配置される角度
  • DATANumber Polar: コピー数

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからArrayツールを使用することが可能です。

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum]) 直交列用
array (objectslist,center,totalangle,totalnum) 円列用: 
リスト(オブジェクトのリストでもオブジェクトでも可)内のオブジェクトの列を作成します。
直交列の場合、xnumでx方向の繰り返し数を、xvectorで各繰り返し間の距離を指定します。
y方向についてはynumとyvectorが同様の意味を持ちます。円列の場合はcenterはベクトルで、
totalangleがコピーが配置される角度(単位は度)、totalnumがコピー元を含んだオブジェクト数を意味します。

例:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg